// foldercombo.h - folder combobox
//
// Old Mail Arrangement Plug-in for Becky! 2
// Copyright (C) 2000 by Tietew
//
#pragma once

// Each combobox item has this structure
struct FOLDERINFO
{
	int indent, icon;
	String desc, display, identifier;
};
struct INSERTINFO
{
	FOLDERINFO fi;
	HWND hCtrl;
	HANDLE hParent;
	BOOL bCurrent;
};
typedef HANDLE (*INSERTCALLBACK)(const INSERTINFO& ii, DWORD dwContext);

bool InitFolderCombo(HWND hdlg, UINT id, String cur);
bool InitFolderCtrlEx(HWND hCtrl, String cur, INSERTCALLBACK pfnInsert, DWORD dwContext);
void TermFolderCombo(HWND hdlg, UINT id);
LRESULT ProcessFolderCombo(HWND hwnd, UINT msg, WPARAM wp, LPARAM lp);
String GetSelectedFolder(HWND hdlg, UINT id);
