// remove.h - arrange mails
//
// Old Mail Arrangement Plug-in for Becky! 2
// Copyright (C) 2000 by Tietew
//
#pragma once
#include "filter.h"

struct RMINFO
{
	String name;			// Target folder
	String target;			// Destination folder
	int nFilter;			// Filter
	union {
		SYSTEMTIME st;		// Threshold date
		int nDays;			// Threshold number of days
		int nMails;			// Threshold number of mails
	} u;
	int nBehavior;			// Behavior
	bool bRecursive;		// Recursively
	bool bThreads;			// Per-thread
	FILTERINFO *pfi;		// Advanced Filter
};

void CALLBACK OnRemoveMails(HWND hWnd, LPARAM lParam);
UINT CALLBACK OnUpdateRemoveMails(HWND hWnd, LPARAM lParam);
bool RemoveMails(RMINFO& info, bool bUI);
